---
title: Navigator.activeVRDisplays
slug: Web/API/Navigator/activeVRDisplays
tags:
  - API
  - Experimental
  - HTML DOM
  - Navigator
  - Property
  - Reference
  - VR
  - Virtual Reality
  - WebVR
  - activeVRDisplays
---
<div>{{DefaultAPISidebar("WebVR API")}}{{Obsolete_header}}</div>

<p>The <strong><code>activeVRDisplays</code></strong> read-only property of the {{domxref("Navigator")}} interface returns an array containing every {{domxref("VRDisplay")}} object that is currently presenting ({{domxref("VRDisplay.ispresenting")}} is <code>true</code>).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var myActiveDisplays = navigator.activeVRDisplays;</pre>

<h3 id="Value">Value</h3>

<p>An array of {{domxref("VRDisplay")}} objects.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">function showActive() {
  var displays = navigator.activeVRDisplays;
  for(var i = 0; i &lt; displays.length; i++) {
    console.log('Display ' + displays[i].displayId + ' is active.');
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebVR 1.1", '#navigator-activevrdisplays-attribute', 'activeVRDisplays')}}</td>
   <td>{{Spec2("WebVR 1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.activeVRDisplays")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
